## network-manager 0.7~~svn20081018t105859+mbm.b8

=== examples/python/systray/Makefile ===
# Set the C flags to include the GTK+ and Python libraries
CFLAGS = `pkg-config --cflags gtk+-2.0 pygtk-2.0` -I/usr/include/python2.3/ -I.
LDFLAGS = `pkg-config --libs gtk+-2.0 pygtk-2.0`

# Build the shared object
trayicon.so: trayicon.o eggtrayicon.o trayiconmodule.o 
	$(CC) $(LDFLAGS) -shared $^ -o $@


# The path to the GTK+ python types
DEFS=`pkg-config --variable=defsdir pygtk-2.0`

# Generate the C wrapper from the defs and our override file
trayicon.c: trayicon.defs trayicon.override
	pygtk-codegen-2.0 --prefix trayicon \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override trayicon.override \
	trayicon.defs > $@

trayicon.defs: eggtrayicon.h config.h
	python \
	/usr/share/pygtk/2.0/codegen/h2def.py \
	eggtrayicon.h > trayicon.defs

config.h:
	touch config.h
	ln -s ../NetworkManager.py .

# A rule to clean the generated files
clean:
	rm -f trayicon.so *.o trayicon.c trayicon.defs *~ config.h NetworkManager.py*

.PHONY: clean

## network-manager 0.8.1

=== debian/changelog ===
network-manager (0.8.1-6+squeeze2) stable; urgency=low

  * debian/patches/84-CVE-2012-2736.patch
    - Disable Ad-Hoc WPA connections as the kernel is broken for Ad-Hoc WPA,
      and creates the connections as open connections instead.
    - Fixes CVE-2012-2736. (Closes: #655972)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Aug 2012 20:57:08 +0200

network-manager (0.8.1-6+squeeze1) stable; urgency=low

  * debian/patches/82-core-handle-device-removal.patch
    - Cherry-pick patch from upstream to correctly handle device removal when
      properties are unreadable. (Closes: #605570)
  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Fri, 11 Mar 2011 14:49:51 +0100

network-manager (0.8.1-6) unstable; urgency=low

  * debian/patches/40-umanaged-interfaces.patch
    - For devices to be marked unmanaged, do not require a valid connection
      configuration. (Closes: #569215)
  * debian/patches/50-bridge-interfaces.patch
    - Parse bridge configurations in /etc/network/interfaces and add
      interfaces defined via bridge_ports to well_known_interfaces. This
      allows to mark those interfaces as unmanaged if managed=false.
      The "all" keyword and regexes are not supported and simply skipped.
      (Closes: #530335)

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Dec 2010 17:11:13 +0100

network-manager (0.8.1-5) unstable; urgency=low

  * Update Vcs-* fields: Move packaging from svn to git.
  * Don't try the interfaces migration if /etc/network/interfaces does not
    exist. This avoids a failure on remove. (Closes: #605360)

 -- Michael Biebl <biebl@debian.org>  Mon, 29 Nov 2010 15:06:21 +0100

network-manager (0.8.1-4) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Integrate debian/ifblacklist_migrate.sh from Ubuntu and install
    it in /usr/lib/NetworkManager. Improve it to disable the interfaces
    with a #NetworkManager# prefix and re-enable them when the package is
    removed. (Closes: #530024)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 23:28:19 +0100

network-manager (0.8.1-3) unstable; urgency=low

  * debian/control
    - Drop Recommends: network-manager-gnome | network-manager-kde, as this
      can have unwanted side-effects, like GNOME packages being installed on
      a KDE desktop. Instead let the desktop meta packages depend on their
      preferred frontend. (Closes: #596233)
    - Add Breaks: ppp (<< 2.4.5) to avoid partial upgrades. (Closes: #592444)
  * debian/network-manager.README.Debian
    - Add a section briefly explaining system settings and add references to
      the online documentation and the system settings spec. (Closes: #594849)
  * debian/patches/30-typo_fix.patch
    - Fix a small typo in README, and while at it, in other files too.
      Thanks Christian Perrier for spotting it. (Closes: #594850)

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Sep 2010 03:31:48 +0200

network-manager (0.8.1-2) unstable; urgency=medium

  * Move configuration file /etc/NetworkManager/nm-system-settings.conf to
    /etc/NetworkManager/NetworkManager.conf. Update maintainer scripts to move
    the conffile without triggering a dpkg prompt.
  * debian/network-manager.postrm
    - Don't fail on purge if /var/lib/NetworkManager directory does not exist.
      (Closes: #591861)
  * debian/patches/10-dont_require_ifup_for_lo.patch
    - Don't require ifup for enabling the loopback interface but use it if
      installed. Patch cherry-picked from upstream Git.
  * debian/control
    - Drop dependency on ifupdown as we have a fallback now for enabling the
      loopback interface. (Closes: #580309)

 -- Michael Biebl <biebl@debian.org>  Fri, 06 Aug 2010 04:19:38 +0200

network-manager (0.8.1-1) unstable; urgency=low

  * New upstream release. (Closes: #590139)
  * debian/patches/30-fix_paths_for_isc_dhcp_v4.patch
    - Remove, merged upstream.
  * Build against ppp 2.4.5. (Closes: #589791)
    - Bump Build-Depends on ppp to (>= 2.4.5).
    - Bump Recommends on ppp to (>= 2.4.5).
    - Drop --with-pppd-plugin-dir configure option and use upstream default.
  * debian/network-manager.postrm
    - Clean up /var/lib/NetworkManager on purge. (Closes: #584854)
  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 02:26:59 +0200

network-manager (0.8.0.999-1) unstable; urgency=low

  * New upstream release (0.8.1 rc1). (Closes: #582822)
    - Bluetooth Dial-Up Networking support.
    - Command line interface via nmcli.
    - IPv6 DHCP support.
    - Correctly reset state after a failed suspend/resume cycle.
      (Closes: #566891)
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * debian/network-manager.{install,manpages}
    - Install nmcli binary and man page.
  * debian/libnm-{glib,util}-dev.install
    - Install gtk-doc API documentation for libnm-glib and libnm-util.
    - Install nm-dhcp6-config.h for libnm-glib.
  * debian/control
    - Add Depends on libdbus-glib-1-dev for libnm-util-dev.
    - Bump Standards-Version to 3.9.0. No further changes.
    - Update Depends on dhcp3-client to isc-dhcp-client (>= 4.1.1-P1-4) to get


=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 7),
 cdbs,
 autotools-dev,
 pkg-config,
 intltool,
 libdbus-glib-1-dev (>= 0.75),
 libdbus-1-dev (>= 1.1),
 libiw-dev(>= 27+28pre9),
 libglib2.0-dev (>= 2.18),
 libnl-dev (>= 1.0~pre8),
 ppp-dev (>= 2.4.5),
 libpolkit-gobject-1-dev,
 libgnutls-dev,
 uuid-dev,
 libudev-dev,
 libgudev-1.0-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.2-14),
 wpasupplicant (>= 0.6.2-1),
 dbus (>= 1.1.2),
 udev,
 adduser,
 isc-dhcp-client (>= 4.1.1-P1-4)
Recommends:
 policykit-1,
 ppp (>= 2.4.5),
 dnsmasq-base,
 iptables,
 modemmanager
Suggests: avahi-autoipd
Conflicts:
 network-manager-gnome (<< 0.6.5-1),
 network-manager-pptp (<< 0.7~~)
Replaces:
 network-manager-gnome (<< 0.6.5-1),
 network-manager-pptp (<< 0.7~~)
Breaks:
 network-manager-gnome (<< 0.7~~),
 network-manager-kde (<< 1:0.9~~),
 network-manager-openvpn (<< 0.7~~),
 network-manager-vpnc (<< 0.7~~),
 network-manager-pptp (<< 0.7~~),
 ppp (<< 2.4.5)
Description: network management framework daemon
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package provides the userspace daemons.
 .
 Optional dependencies:
  * policykit-1: Required for reading and writing system connections.
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.

Package: network-manager-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: network management framework (development files)
 this package provides header files that are needed to
 compile VPN Plugins for NetworkManager.

Package: libnm-glib2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib shared library)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package provides the shared library that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib2 (= ${binary:Version}),
 ${misc:Depends},
 libnm-util-dev,
 network-manager-dev,
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (GLib interface)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package provides the interface that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-vpn1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib VPN shared library)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-glib-vpn-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends},
 libnm-glib-dev
Description: network management framework (GLib interface)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-util1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (shared library)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-util-dev
Section: libdevel
Architecture: any
Depends:
 libnm-util1 (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (development files)
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package contains header and development files.

Package: network-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 network-manager (= ${binary:Version}) | libnm-util1 (= ${binary:Version}) | libnm-glib2 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends}
Description: network management framework daemon - debugging symbols
 NetworkManager attempts to keep an active network connection available at all
 times. It is intended only for the desktop use-case, and is not intended for
 usage on servers. The point of NetworkManager is to make networking
 configuration and setup as painless and automatic as possible.  If using DHCP,
 NetworkManager is _intended_ to replace default routes, obtain IP addresses
 from a DHCP server, and change nameservers whenever it sees fit.
 .
 This package contains detached debugging symbols.

=== debian/watch ===
version=3

http://download.gnome.org/sources/NetworkManager/([\d\.]+)/NetworkManager-(.*)\.tar\.gz

## network-manager 0.8.4.0

=== debian/changelog ===
network-manager (0.8.4.0-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 23:32:23 +0200

network-manager (0.8.4.0-2) unstable; urgency=low

  * Update package descriptions.
  * debian/network-manager-dispatcher.script
    - Handle dhcp4-change and dhcp6-change events (by doing nothing). This
      prevents the 01ifupdown dispatcher script from logging an error on DHCP
      lease changes. (Closes: #628154)

 -- Michael Biebl <biebl@debian.org>  Sun, 29 May 2011 22:22:08 +0200

network-manager (0.8.4.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 11:05:42 +0200

network-manager (0.8.3.999-1) unstable; urgency=low

  * New upstream release (0.8.4 rc2).
  * Update debian/watch, switch to bzip2.
  * Use dh_installinit -R instead of -r and stopping manually in postinst.

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Apr 2011 23:06:53 +0200

network-manager (0.8.3.998-1) unstable; urgency=low

  * New upstream release (0.8.4 rc1).
    - Store connection timestamps for system connections in
      /var/lib/NetworkManager. (Closes: #612424)
    - Send hostname when using DHCP. (Closes: #561532)
  * Bump debhelper compatibility level to 8.
  * Remove patches (merged upstream)
    - d/p/40-umanaged-interfaces.patch
    - d/p/50-bridge-interfaces.patch
    - d/p/51-normalized-keys.patch
    - d/p/60-policy-stop-touching-etc-hosts.patch
    - d/p/70-install-nm-online.patch
    - d/p/80-keyfile-ignore-temporary-files.patch
    - d/p/81-keyfile-quiet-keyfile-plugin-when-re-read-connection.patch
    - d/p/82-core-handle-device-removal.patch
    - d/p/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
  * Update debian/libnm-glib2.symbols and debian/libnm-util1.symbols.
  * Update debian/network-manager-dev.install, install nm-version.h.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Mar 2011 20:55:36 +0100

network-manager (0.8.2-6) unstable; urgency=medium

  * debian/patches/83-dnsmasq-send-no-config-file-instead-of-a-bogus-one.patch
    - Newer versions of dnsmasq validate the option parameters more strictly.
      Instead of passing a bogus file name simply use --conf-file without
      additional parameters. (Closes: #615082)
  * debian/control
    - Remove old Conflicts/Replaces which were required for upgrades to
      squeeze.
    - Bump Breaks against network-manager-gnome to (<< 0.8.2) to avoid
      partial upgrades which can lead to problems with user settings for
      ethernet connections. (Closes: #612291)
  * debian/ifblacklist_migrate.sh
    - Only comment out iface lines if we have an exact match for the network
      interface. (Closes: #612247)
  * debian/patches/51-normalized-keys.patch
    - Normalize keys in ifupdown parser, so we accept options with either
      hyphens or underscores, like e.g. bridge_ports and bridge-ports.
      (Closes: #609831)

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Mar 2011 20:59:46 +0100

network-manager (0.8.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 15:29:32 +0100

network-manager (0.8.2-4) experimental; urgency=low

  * Cherry-pick patch from upstream to correctly handle device removal when
    properties are unreadable. (Closes: #605570)

 -- Michael Biebl <biebl@debian.org>  Sat, 22 Jan 2011 16:59:37 +0100

network-manager (0.8.2-3) experimental; urgency=low

  * Cherry-pick two patches from upstream Git to make the keyfile plugin
    ignore temporary files and be more quiet when re-reading connections which
    have not changed.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Add debian/network-manager.docs.
  * Enable systemd support
    - Install NetworkManager.service unit file in /lib/systemd/system.
    - Add --with-systemdsystemunitdir=/lib/systemd/system to configure flags.
    - Add debian/patches/03-systemd.patch containing Debian specific tweaks
      for the NetworkManager.service unit file.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:28:04 +0100

network-manager (0.8.2-2) experimental; urgency=low

  * Fix installation of nm-online.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 12:49:50 +0100

network-manager (0.8.2-1) experimental; urgency=low

  * New upstream release.
    - Set timestamp for system connections. (Closes: #509817)
  * Remove patches, merged upstream
    - debian/patches/10-dont_require_ifup_for_lo.patch
    - debian/patches/30-typo_fix.patch
  * debian/libnm-{glib2,util1}.symbols
    - Update symbols files for new API additions.
  * Make sure gtk-doc API documentation is built
    - Add Build-Depends on gtk-doc-tools.
    - Add --with-docs configure option.
  * debian/network-manager.preinst
    - Remove pre-lenny conffile upgrade code.
  * debian/network-manager.{install,manpages}
    - Install nm-online binary and man page.
  * debian/patches/02-dbus_access_network_manager.patch
    - Update policy for group netdev based on upstream changes for at_console.
  * debian/patches/60-policy-stop-touching-etc-hosts.patch
    - Stop touching /etc/hosts. Rely on the debian installer to setup
      /etc/hosts so the hostname is resolvable. Patch cherry-picked from
      upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 06:47:11 +0100

=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends:
 debhelper (>= 8),
 autotools-dev,
 pkg-config,
 intltool,
 libdbus-glib-1-dev (>= 0.75),
 libdbus-1-dev (>= 1.1),
 libiw-dev(>= 27+28pre9),
 libglib2.0-dev (>= 2.18),
 libnl-dev (>= 1.0~pre8),
 ppp-dev (>= 2.4.5),
 libpolkit-gobject-1-dev,
 libgnutls-dev,
 uuid-dev,
 libudev-dev,
 libgudev-1.0-dev,
 gtk-doc-tools
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
Homepage: http://www.gnome.org/projects/NetworkManager/

Package: network-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 lsb-base (>= 3.2-14),
 wpasupplicant (>= 0.6.2-1),
 dbus (>= 1.1.2),
 udev,
 adduser,
 isc-dhcp-client (>= 4.1.1-P1-4)
Recommends:
 policykit-1,
 ppp (>= 2.4.5),
 dnsmasq-base,
 iptables,
 modemmanager
Suggests: avahi-autoipd
Breaks:
 network-manager-gnome (<< 0.8.2),
 network-manager-kde (<< 1:0.9~~),
 network-manager-openvpn (<< 0.8),
 network-manager-vpnc (<< 0.8),
 network-manager-pptp (<< 0.8),
 ppp (<< 2.4.5)
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * policykit-1: Required for reading and writing system connections.
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
    address configuration.

Package: network-manager-dev
Architecture: any
Section: devel
Depends: ${misc:Depends}
Description: network management framework (development files)
 this package provides header files that are needed to
 compile VPN Plugins for NetworkManager.

Package: libnm-glib2
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib2 (= ${binary:Version}),
 ${misc:Depends},
 libnm-util-dev,
 network-manager-dev,
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the interface that applications can use to query
 connection status via NetworkManager.

Package: libnm-glib-vpn1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (GLib VPN shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-glib-vpn-dev
Section: libdevel
Architecture: any
Depends:
 libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends},
 libnm-glib-dev
Description: network management framework (GLib interface)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the shared library that applications can use for
 creating VPN connections via NetworkManager.

Package: libnm-util1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: network management framework (shared library)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-util-dev
Section: libdevel
Architecture: any
Depends:
 libnm-util1 (= ${binary:Version}),
 ${misc:Depends},
 libglib2.0-dev,
 libdbus-glib-1-dev
Description: network management framework (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: network-manager-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 network-manager (= ${binary:Version}) | libnm-util1 (= ${binary:Version}) | libnm-glib2 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
 ${misc:Depends}
Description: network management framework (debugging symbols)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains detached debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--with-distro=debian \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-systemdsystemunitdir=/lib/systemd/system \
		--with-crypto=gnutls \
		--disable-more-warnings \
		--with-docs

override_dh_install:
	dh_install --list-missing
	install -m 755 debian/network-manager-dispatcher.script \
		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
	install -m 755 debian/ifblacklist_migrate.sh \
		debian/network-manager/usr/lib/NetworkManager

override_dh_installinit:
	dh_installinit -pnetwork-manager -R -- start 26 2 3 4 5 . stop 88 0 1 6 .

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/NetworkManager/ -X/usr/lib/pppd/

override_dh_strip:
	dh_strip --dbg-package=network-manager-dbg

override_dh_auto_test:

## network-manager 0.9.1.90

=== debian/changelog ===
network-manager (0.9.1.90-0ubuntu3) oneiric; urgency=low

  * debian/patches/nl3-default-ip6-route.patch: set destination for default
    gateway as an all-zero in6_addr rather than NULL (since libnl3 requires
    setting a destination). (LP: #856209)
  * debian/patches/manual-ip6-manager.patch: provide an unused but set ipv6
    manager object so manual routes are torn down when a device is deactivated.
  * debian/patches/dhcpv6-duid-support.patch: update to avoid spewing out debug
    messages as warnings/info.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Oct 2011 15:03:22 -0400

network-manager (0.9.1.90-0ubuntu2) oneiric; urgency=low

  * debian/patches/libnl3-cache-args.patch: unbreak setting route priorities,
    which will also unbreak cases where connections fails when  wired and wifi
    are connected to the same network. (LP: #856333)
  * debian/patches/dhcpv6-duid-support.patch: support handling DUIDs for DHCPv6
    requests, as defined by RFC 3315, section 9. (LP: #849994)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 28 Sep 2011 11:59:27 -0400

network-manager (0.9.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #855592)
    - core: print textual desc for reason codes on device deactivation too
    - supplicant: Don't leak secrets, even if they're probably invalid
    - core: storing timestamps also for VPN connections (rh #725353)
    - wifi: remove some dead code
    - ppp: pass novj through to pppd
    - monitor: Use nl_socket_alloc() instead of nl_socket_alloc_cb()
    - core: Fix check for failure in translating link name to ifindex
    - netlink: fix flags use in nm_netlink_route_add
    - core: Fix leaks if address parsing fails while setting mac
    - core: fix leaked address structure after parsing mac address
    - ip6: various leak fixes and sanity checks
    - keyfile: fix two bugs for updating/writting a keyfile
    - sharing: fix handling of rule negation (debian #638995)
    - cli: print 'Permissions' property of NMSettingConnection setting
    - cli: add missing GSM bands for GSM setting
    - cli: add 'nmcli con delete' command for removing configured connections
    - cli: nm_access_point_get_bssid instead of nm_access_point_get_hw_address
    - dnsmasq: use '@interface' for link-local DNS servers in dnsmasq config
    - settings: preserve agent secrets the right way
  * debian/patches/libnl3-support-0fe8c80.patch: dropped, included upstream.
  * debian/libnm-util2.symbols: add new secrets symbols:
    - nm_connection_clear_secrets_with_flags
    - nm_settings_clear_secrets_with_flags
  * debian/patches/ipv6-dont-block-ipv4.patch: refreshed, rework to follow
    upstream review and recommendations.
  * debian/patches/lp767868_refcount_default_wired_512a0f8.patch: correct ref
    counting of the default wired connection when it's re-saved once changed
    from the original default values. (LP: #767868)
  * debian/patches/secrets_delete_conn_leak_e39449c.patch: cherry-pick upstream
    fix of a leak of the connection object when secrets are deleted for a
    connection.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 22 Sep 2011 12:08:51 -0400

network-manager (0.9.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: disable the patch,
    it causes an issue with mobile broadband connections. (LP: #840082)
    Reopens LP: #761558.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 08 Sep 2011 17:02:34 -0400

network-manager (0.9.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/lp761558_default_ip6_setting_auto.patch: default to AUTO for
    IPv6 method if the setting is missing (e.g. default new connection for new
    devices). (LP: #761558)
  * debian/patches/libnl3-support-0fe8c80.patch: fix nm_netlink_route_add() to
    take into account flags already passed (e.g. for replacing routes).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 02 Sep 2011 10:28:15 -0400

network-manager (0.9.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/patches/libnl3-support-0fe8c80.patch: replace libnl3-port.patch; use
    a cherry-pick from upstream with the same changes.
  * debian/patches/lp120363_smartcard_pkcs11.patch: dropped, it's high effort
    to maintain across releases, essentially needs to be re-done, and doesn't
    even appear to work. (Reopens: #120363).
  * debian/libnm-util2.symbols: fixup 802.1x symbols:
    - remove symbols coming from lp120363_smartcard_pkcs11.patch.
    - add new 802.1x subject/altsubject handling symbols from 0.9.0.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 10:39:40 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu2) oneiric; urgency=low

  * debian/control: bump libnl Build-Depends to libnl3-dev.
  * debian/patches/libnl3-port.patch: backport changes from NM's libnl3 git
    branch to port to libnl3 APIs.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Aug 2011 10:17:28 -0400

network-manager (0.8.9997+git.20110721t045648.36db194-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-07-21 04:56:48 (GMT)
    + 36db194ae95e35cc7b8f431ab984780dea24656d
    - libnm-util: default to allowing v6 connections to fail (set to optional)
  * debian/patches/ipv6-dont-block-ipv4.patch: don't block waiting for IPv6 to
    apply IPv4 connection settings.
  * debian/libnm-glib4.symbols: add new nm_client_get_device_by_iface symbol.
  * debian/libnm-util2.symbols: add new symbols:
    - nm_setting_wired_get_mac_address_blacklist
    - nm_setting_wireless_get_mac_address_blacklist

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 25 Jul 2011 20:01:12 -0400

network-manager (0.8.9997+git.20110614t173923.b4a72d1-0ubuntu1) oneiric; urgency=low

  * upstream snapshot 2011-06-14 17:39:23 (GMT)
    + b4a72d1ad794aef4c623fd530fc38ceb9b95456d
    - libnm-glib: fix crash for AddAndActivateConnection (LP: #795871)



=== debian/control ===
--- 
+++ 
@@ -1,28 +1,35 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends:
  debhelper (>= 8),
+ dh-autoreconf,
  autotools-dev,
  pkg-config,
  intltool,
  libdbus-glib-1-dev (>= 0.75),
  libdbus-1-dev (>= 1.1),
  libiw-dev(>= 27+28pre9),
- libglib2.0-dev (>= 2.18),
- libnl-dev (>= 1.0~pre8),
+ libglib2.0-dev (>= 2.22),
+ libnl3-dev,
  ppp-dev (>= 2.4.5),
  libpolkit-gobject-1-dev,
- libgnutls-dev,
+ libnss3-dev,
  uuid-dev,
- libudev-dev,
+ libudev-dev (>= 147),
  libgudev-1.0-dev,
- gtk-doc-tools
+ libnotify-dev (>= 0.3),
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ gtk-doc-tools,
+ libgirepository1.0-dev (>= 0.9.12),
+ gobject-introspection (>= 0.9.12-4~),
+ gir1.2-glib-2.0,
+ gir1.2-freedesktop
 Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-utopia/network-manager.git
-Vcs-Browser: http://git.debian.org/?p=pkg-utopia/network-manager.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager/ubuntu.head
 Homepage: http://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager
@@ -31,12 +38,15 @@
  ${shlibs:Depends},
  ${misc:Depends},
  lsb-base (>= 3.2-14),
- wpasupplicant (>= 0.6.2-1),
+ wpasupplicant (>= 0.7.3-1),
  dbus (>= 1.1.2),
  udev,
- adduser,
- isc-dhcp-client (>= 4.1.1-P1-4)
+ isc-dhcp-client (>= 4.1.1-P1-4),
+ iproute,
+ iputils-arping
 Recommends:
+ network-manager-pptp,
+ network-manager-gnome | network-manager-kde | plasma-widget-networkmanagement,
  policykit-1,
  ppp (>= 2.4.5),
  dnsmasq-base,
@@ -44,11 +54,11 @@
  modemmanager
 Suggests: avahi-autoipd
 Breaks:
- network-manager-gnome (<< 0.8.2),
+ network-manager-gnome (<< 0.8.99),
  network-manager-kde (<< 1:0.9~~),
- network-manager-openvpn (<< 0.8),
- network-manager-vpnc (<< 0.8),
- network-manager-pptp (<< 0.8),
+ network-manager-openvpn (<< 0.8.99),
+ network-manager-vpnc (<< 0.8.99),
+ network-manager-pptp (<< 0.8.99),
  ppp (<< 2.4.5)
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
@@ -73,10 +83,17 @@
 Section: devel
 Depends: ${misc:Depends}
 Description: network management framework (development files)
- this package provides header files that are needed to
+ NetworkManager attempts to keep an active network connection available at all
+ times. It is intended only for the desktop use-case, and is not intended for
+ usage on servers. The point of NetworkManager is to make networking
+ configuration and setup as painless and automatic as possible.  If using DHCP,
+ NetworkManager is _intended_ to replace default routes, obtain IP addresses
+ from a DHCP server, and change nameservers whenever it sees fit.
+ .
+ This package provides header files that are needed to 
  compile VPN Plugins for NetworkManager.
 
-Package: libnm-glib2
+Package: libnm-glib4
 Section: libs
 Architecture: any
 Depends:
@@ -96,7 +113,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnm-glib2 (= ${binary:Version}),
+ libnm-glib4 (= ${binary:Version}),
+ gir1.2-networkmanager-1.0 (= ${binary:Version}),
  ${misc:Depends},
  libnm-util-dev,
  network-manager-dev,
@@ -145,7 +163,7 @@
  This package provides the shared library that applications can use for
  creating VPN connections via NetworkManager.
 
-Package: libnm-util1
+Package: libnm-util2
 Section: libs
 Architecture: any
 Depends:
@@ -165,7 +183,8 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnm-util1 (= ${binary:Version}),
+ libnm-util2 (= ${binary:Version}),
+ gir1.2-networkmanager-1.0 (= ${binary:Version}),
  ${misc:Depends},
  libglib2.0-dev,
  libdbus-glib-1-dev
@@ -183,7 +202,7 @@
 Section: debug
 Priority: extra
 Depends:
- network-manager (= ${binary:Version}) | libnm-util1 (= ${binary:Version}) | libnm-glib2 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
+ network-manager (= ${binary:Version}) | libnm-util2 (= ${binary:Version}) | libnm-glib4 (= ${binary:Version}) | libnm-glib-vpn1 (= ${binary:Version}),
  ${misc:Depends}
 Description: network management framework (debugging symbols)
  NetworkManager is a system network service that manages your network devices
@@ -193,3 +212,20 @@
  services.
  .
  This package contains detached debugging symbols.
+
+Package: gir1.2-networkmanager-1.0
+Section: libs
+Architecture: any
+Depends: ${gir:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: GObject introspection data for NetworkManager
+ NetworkManager is a system network service that manages your network devices
+ and connections, attempting to keep active network connectivity when
+ available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
+ devices, and provides VPN integration with a variety of different VPN
+ services.
+ .
+ This package contains introspection data for NetworkManager.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
+

=== debian/rules ===
#!/usr/bin/make -f

DEB_SOURCE := $(shell dpkg-parsechangelog | grep Source: | sed -e 's/Source: //')
DEB_VERSION := $(shell dpkg-parsechangelog | grep Version: | sed -e 's/Version: //')
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | sed -e 's/-[^-]*$$//')
DEB_MAJOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/git.*//')

GIT_URL := git://anongit.freedesktop.org/NetworkManager/NetworkManager
GIT_BRANCH := "master"
GIT_BRANCH_NAME := NetworkManager

ifneq (,$(LOCAL_BRANCH))
LOCAL_REAL_BRANCH = $(realpath $(LOCAL_BRANCH))
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--with-distro=debian \
		--with-resolvconf=/sbin/resolvconf \
		--with-dhclient=/sbin/dhclient \
		--with-iptables=/sbin/iptables \
		--with-crypto=nss \
		--disable-more-warnings \
		--enable-introspection \
		--with-docs

override_dh_install:
	dh_install --list-missing
	install -m 755 debian/network-manager-dispatcher.script \
		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
	install -m 755 debian/ifblacklist_migrate.sh \
		debian/network-manager/usr/lib/NetworkManager
	cd po; intltool-update -p
	cd test; $(MAKE) install DESTDIR=$(CURDIR)/debian/network-manager

override_dh_installinit:
	dh_installinit --noscripts

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/NetworkManager/ -X/usr/lib/pppd/ -- -c4

override_dh_strip:
	dh_strip --dbg-package=network-manager-dbg

override_dh_shlibdeps:
	dh_shlibdeps
	dh_girepository -plibnm-util2
	dh_girepository -plibnm-glib4

override_dh_auto_test:

override_dh_clean:
	dh_clean
	rm -f po/*.gmo
	rm -f debian/*.1
	rm -f docs/libnm-glib/libnm-glib-overrides.txt
	rm -f docs/libnm-util/libnm-util-overrides.txt docs/libnm-util/libnm-util.types
	rm -f policy/*.policy

override_dh_autoreconf_clean:
	dh_autoreconf_clean
	rm -f gtk-doc.make m4/gtk-doc.m4
	rm -f intltool.m4 intltool-*.in
	rm -f aclocal.m4
	rm -f po/Makefile.in.in
	
override_dh_autoreconf:
	intltoolize -f -c
	gtkdocize --copy
	dh_autoreconf

GET_SOURCE = \
	set -e; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
		echo "cloning upstream repository ..."; \
		git clone -b $(GIT_BRANCH) $(if $(LOCAL_BRANCH),$(call LOCAL_REAL_BRANCH)/$(GIT_BRANCH_NAME),$(GIT_URL)) $(GIT_BRANCH_NAME); \
		echo "getting specific upstream revision/tag: $(1)"; \
		cd `ls | head -n 1`; git checkout -b orig $(1); \
		commit_id=`git log -n1 --abbrev-commit | grep '^commit '  | sed -e 's/commit //' | sed -e 's/\.\.\.$$//'`; \
		raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y%m%dt%H%M%S"`; \
		if echo $(2) | grep -q -c "orig" || echo $(DEB_VERSION) | grep -q -c "git"; \
		then \
			upstream_version=$(DEB_MAJOR_VERSION)git.$$raw.$$commit_id; \
		else \
			upstream_version=$(DEB_UPSTREAM_VERSION); \
		fi; \
		cd ..; tar --exclude=.git -czf $(CURDIR)/$(DEB_SOURCE)_$$upstream_version.orig.tar.gz `ls | head -n 1`; \
		cd $(CURDIR); rm -rf $$tmpdir; 

get-current-source:: $(if $(LOCAL_BRANCH),update-local-branch)
	set -e; if echo $(DEB_VERSION) | grep -q -c "git"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	elif echo $(DEB_VERSION) | grep -q -c "~rc"; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^\([0-9\.]*\)\(~rc\)\([0-9]\)-.*$$/\1-rc\3/'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	$(call GET_SOURCE, $$git_version, "current")

get-orig-source:: $(if $(LOCAL_BRANCH),update-local-branch)
	$(call GET_SOURCE, "HEAD", "orig")

update-local-branch::
	@echo "updating local branch ($(LOCAL_BRANCH))"
	@set -e; if ! test -d $(LOCAL_BRANCH); then mkdir -p $(LOCAL_BRANCH); fi
	@set -e; if ! test -d $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); then git clone $(GIT_URL) $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); fi
	@set -e; cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); if ! `git branch | grep -q -c "$(GIT_BRANCH)"`; then git branch $(GIT_BRANCH) remotes/origin/$(GIT_BRANCH); fi
	@set -e; cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); git checkout $(GIT_BRANCH); git pull -f
	@echo "updated local branch ($(LOCAL_BRANCH))"

get-snapshot-info:: $(if $(LOCAL_BRANCH),update-local-branch)
	@set -e; \
	git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); \
	raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc $$git_version | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y-%m-%d %H:%M:%S (GMT)"`; \
	git log -n1 $$git_version --format="%n%s%n%n  * upstream snapshot $$raw%n    + %H%n";
